calculate-kde-base/kdepim

1. calculate-kde-base/kdepim

deni  simoes pires
deni

(usa Slackware)

Enviado em 17/07/2011 - 10:42h

De volta ao Culculate consegui instalar o Porthole.Tenho instalado programas por ele ,como o vlc e usando o terminal também.Porém agora começou a dar erro.EX; Tentei instalar o Rhythmbox pelo terminal. emerge -p Rhythmbox

These are the packages that would be merged, in order:

Calculating dependencies | * ERROR: kde-base/kdepim-l10n-4.4.5 failed (depend phase):
* EAPI=2 is not supported
*
* Call stack:
* ebuild.sh, line 1998: Called source '/var/lib/layman/calculate/kde-base/kdepim-l10n/kdepim-l10n-4.4.5.ebuild'
* kdepim-l10n-4.4.5.ebuild, line 9: Called inherit 'kde4-base'
* ebuild.sh, line 1403: Called qa_source '/usr/portage/eclass/kde4-base.eclass'
* ebuild.sh, line 43: Called source '/usr/portage/eclass/kde4-base.eclass'
* kde4-base.eclass, line 23: Called inherit 'kde4-functions' 'toolchain-funcs' 'fdo-mime' 'gnome2-utils' 'base' 'virtualx' 'versionator' 'eutils'
* ebuild.sh, line 1403: Called qa_source '/usr/portage/eclass/kde4-functions.eclass'
* ebuild.sh, line 43: Called source '/usr/portage/eclass/kde4-functions.eclass'
* kde4-functions.eclass, line 20: Called die
* The specific snippet of code:
* *) die "EAPI=${EAPI} is not supported" ;;
*
* If you need support, post the output of 'emerge --info =kde-base/kdepim-l10n-4.4.5',
* the complete build log and the output of 'emerge -pqv =kde-base/kdepim-l10n-4.4.5'.
* This ebuild is from an overlay: '/var/lib/layman/calculate/'
* S: '/var/calculate/tmp/portage/kde-base/kdepim-l10n-4.4.5/work/kdepim-l10n-4.4.5'
... done!

emerge: there are no ebuilds to satisfy "Rhythmbox".

emerge: searching for similar names...
emerge: Maybe you meant any of these: media-sound/rhythmbox, x11-plugins/pidgin-rhythmbox, media-plugins/rhythmbox-equalizer?

* IMPORTANT: 5 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.
Gostaria de saber sobre esse erro: ERROR: kde-base/kdepim-l10n-4.4.5 failed (depend phase):
* EAPI=2 is not supported



  


2. Re: calculate-kde-base/kdepim

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 17/07/2011 - 10:50h

Olá, Deni.

Está tendo o mesmo problema da outra vez, o Rythmbox está pedindo uma versão de kdepim antiga, não suportada.

Poste a saída dos comandos:

$ eix rhythmbox
$ emerge -s rhythmbox portage kdepim
$ emerge -p --nodeps rhythmbox



3. Re: calculate-kde-base/kdepim

deni  simoes pires
deni

(usa Slackware)

Enviado em 17/07/2011 - 22:02h

ola albfneto .Sim,novamente o kdpim. [email protected] ~ $ eix rhythmbox
* media-sound/rhythmbox
Available versions: 0.12.8-r1 {cdr daap debug doc gnome-keyring hal ipod libnotify lirc mtp musicbrainz nsplugin python test udev upnp webkit}
Homepage: http://www.rhythmbox.org/
Description: Music management and playback software for GNOME

* x11-plugins/pidgin-rhythmbox
Available versions: 2.0
Homepage: http://jon.oberheide.org/pidgin-rhythmbox/
Description: automatically update your pidgin profile with current info from Rhythmbox

Found 2 matches.

[email protected] ~ $ eix rhythmbox
* media-sound/rhythmbox
Available versions: 0.12.8-r1 {cdr daap debug doc gnome-keyring hal ipod libnotify lirc mtp musicbrainz nsplugin python test udev upnp webkit}
Homepage: http://www.rhythmbox.org/
Description: Music management and playback software for GNOME

* x11-plugins/pidgin-rhythmbox
Available versions: 2.0
Homepage: http://jon.oberheide.org/pidgin-rhythmbox/
Description: automatically update your pidgin profile with current info from Rhythmbox

Found 2 matches.
[email protected] ~ $ emerge -s rhythmbox portage kdepim
Searching...
[ Results for search key : rhythmbox ]
[ Applications found : 3 ]

* media-plugins/rhythmbox-equalizer [ Masked ]
Latest version available: 0.1
Latest version installed: [ Not Installed ]
Size of files: 6 kB
Homepage: http://www.lirmm.fr/~morandat/index.php/Main/Tools
Description: 10-band graphic equalizer plugin for Rhythmbox
License: GPL-2

* media-sound/rhythmbox
Latest version available: 0.12.8-r1
Latest version installed: [ Not Installed ]
Size of files: 5,233 kB
Homepage: http://www.rhythmbox.org/
Description: Music management and playback software for GNOME
License: GPL-2

* x11-plugins/pidgin-rhythmbox
Latest version available: 2.0
Latest version installed: [ Not Installed ]
Size of files: 313 kB
Homepage: http://jon.oberheide.org/pidgin-rhythmbox/
Description: automatically update your pidgin profile with current info from Rhythmbox
License: GPL-2

Searching...
[ Results for search key : portage ]
[ Applications found : 6 ]

* app-portage/kportagetray [ Masked ]
Latest version available: 0.2.4
Latest version installed: [ Not Installed ]
Size of files: 129 kB
Homepage: http://gitorious.org/kportagetray
Description: Graphical application for Portage's daily tasks
License: GPL-3

* app-portage/portage-mod_jabber [ Masked ]
Latest version available: 0.0.5.1
Latest version installed: [ Not Installed ]
Size of files: 8 kB
Homepage: http://usrportage.de/
Description: A notification module for the portage elog-system to notify via the XMPP (Jabber) protocol
License: GPL-2

* app-portage/portage-utils
Latest version available: 0.3.1
Latest version installed: 0.3.1
Size of files: 87 kB
Homepage: http://www.gentoo.org/
Description: small and fast portage helper tools written in C
License: GPL-2

* dev-perl/PortageXS
Latest version available: 0.02.09
Latest version installed: 0.02.09
Size of files: 28 kB
Homepage: http://download.mpsna.de/opensource/PortageXS/
Description: Portage abstraction layer for perl
License: GPL-2

* dev-python/yolk-portage [ Masked ]
Latest version available: 0.1
Latest version installed: [ Not Installed ]
Size of files: 2 kB
Homepage: http://pypi.python.org/pypi/yolk-portage
Description: Gentoo Portage plugin for yolk
License: GPL-2

* sys-apps/portage
Latest version installed: 2.2.0_alpha26
Homepage: http://www.gentoo.org/proj/en/portage/index.xml
Description: Portage is the package management and distribution system for Gentoo
License: GPL-2

Searching... - * ERROR: kde-base/kdepim-l10n-4.4.5 failed (depend phase):
* EAPI=2 is not supported
*
* Call stack:
* ebuild.sh, line 1998: Called source '/var/lib/layman/calculate/kde-base/kdepim-l10n/kdepim-l10n-4.4.5.ebuild'
* kdepim-l10n-4.4.5.ebuild, line 9: Called inherit 'kde4-base'
* ebuild.sh, line 1403: Called qa_source '/usr/portage/eclass/kde4-base.eclass'
* ebuild.sh, line 43: Called source '/usr/portage/eclass/kde4-base.eclass'
* kde4-base.eclass, line 23: Called inherit 'kde4-functions' 'toolchain-funcs' 'fdo-mime' 'gnome2-utils' 'base' 'virtualx' 'versionator' 'eutils'
* ebuild.sh, line 1403: Called qa_source '/usr/portage/eclass/kde4-functions.eclass'
* ebuild.sh, line 43: Called source '/usr/portage/eclass/kde4-functions.eclass'
* kde4-functions.eclass, line 20: Called die
* The specific snippet of code:
* *) die "EAPI=${EAPI} is not supported" ;;
*
* If you need support, post the output of 'emerge --info =kde-base/kdepim-l10n-4.4.5',
* the complete build log and the output of 'emerge -pqv =kde-base/kdepim-l10n-4.4.5'.
* This ebuild is from an overlay: '/var/lib/layman/calculate/'
* S: '/var/calculate/tmp/portage/kde-base/kdepim-l10n-4.4.5/work/kdepim-l10n-4.4.5'

[ Results for search key : kdepim ]
[ Applications found : 10 ]

* kde-base/kdepim-common-libs
Latest version available: 4.6.1
Latest version installed: [ Not Installed ]
Size of files: 43,143 kB
Homepage: http://www.kde.org/
Description: Common libraries for KDE PIM apps
License: GPL-2

* kde-base/kdepim-icons
Latest version installed: 4.4.10
Homepage: http://www.kde.org/
Description: KDE PIM icons
License: GPL-2

* kde-base/kdepim-kresources
Latest version installed: 4.4.10
Homepage: http://www.kde.org/
Description: KDE PIM groupware plugin collection
License: GPL-2

* kde-base/kdepim-l10n
Latest version available: 4.4.5
Latest version installed: 4.4.5
Size of files: Unknown (getFetchMap(): aux_get() error reading kde-base/kdepim-l10n-4.4.5; aborting.)
Homepage: http://www.kde.org/
Description: KDE internationalization package for KDEPIM
License: GPL-2

* kde-base/kdepim-meta
Latest version available: 4.6.1
Latest version installed: [ Not Installed ]
Size of files: 0 kB
Homepage: http://www.kde.org/
Description: kdepim - merge this to pull in all kdepim-derived packages
License: GPL-2

* kde-base/kdepim-runtime
Latest version installed: 4.4.10
Homepage: http://www.kde.org/
Description: KDE PIM runtime plugin collection
License: GPL-2

* kde-base/kdepim-strigi-analyzer
Latest version installed: 4.4.10
Homepage: http://www.kde.org/
Description: kdepim: strigi plugins
License: GPL-2

* kde-base/kdepim-wizards
Latest version available: 4.6.1
Latest version installed: [ Not Installed ]
Size of files: 43,143 kB
Homepage: http://www.kde.org/
Description: KDE PIM wizards
License: GPL-2

* kde-base/kdepimlibs
Latest version installed: 4.6.1
Homepage: http://www.kde.org/
Description: Common library for KDE PIM apps.
License: LGPL-2.1

* kde-base/libkdepim
Latest version installed: 4.4.10
Homepage: http://www.kde.org/
Description: Common library for KDE PIM apps
License: GPL-2

[email protected] ~ $ emerge -p --nodeps rhythmbox

These are the packages that would be merged, in order:

... done!
[ebuild N ] media-sound/rhythmbox-0.12.8-r1 USE="cdr ipod libnotify lirc nsplugin python webkit -daap -debug -doc -gnome-keyring -mtp -musicbrainz -test -udev -upnp"

* IMPORTANT: 5 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.



4. Re: calculate-kde-base/kdepim

deni  simoes pires
deni

(usa Slackware)

Enviado em 17/07/2011 - 22:04h

ola albfneto .Sim,novamente o kdpim. [email protected] ~ $ eix rhythmbox
* media-sound/rhythmbox
Available versions: 0.12.8-r1 {cdr daap debug doc gnome-keyring hal ipod libnotify lirc mtp musicbrainz nsplugin python test udev upnp webkit}
Homepage: http://www.rhythmbox.org/
Description: Music management and playback software for GNOME

* x11-plugins/pidgin-rhythmbox
Available versions: 2.0
Homepage: http://jon.oberheide.org/pidgin-rhythmbox/
Description: automatically update your pidgin profile with current info from Rhythmbox

Found 2 matches.

[email protected] ~ $ eix rhythmbox
* media-sound/rhythmbox
Available versions: 0.12.8-r1 {cdr daap debug doc gnome-keyring hal ipod libnotify lirc mtp musicbrainz nsplugin python test udev upnp webkit}
Homepage: http://www.rhythmbox.org/
Description: Music management and playback software for GNOME

* x11-plugins/pidgin-rhythmbox
Available versions: 2.0
Homepage: http://jon.oberheide.org/pidgin-rhythmbox/
Description: automatically update your pidgin profile with current info from Rhythmbox

Found 2 matches.
[email protected] ~ $ emerge -s rhythmbox portage kdepim
Searching...
[ Results for search key : rhythmbox ]
[ Applications found : 3 ]

* media-plugins/rhythmbox-equalizer [ Masked ]
Latest version available: 0.1
Latest version installed: [ Not Installed ]
Size of files: 6 kB
Homepage: http://www.lirmm.fr/~morandat/index.php/Main/Tools
Description: 10-band graphic equalizer plugin for Rhythmbox
License: GPL-2

* media-sound/rhythmbox
Latest version available: 0.12.8-r1
Latest version installed: [ Not Installed ]
Size of files: 5,233 kB
Homepage: http://www.rhythmbox.org/
Description: Music management and playback software for GNOME
License: GPL-2

* x11-plugins/pidgin-rhythmbox
Latest version available: 2.0
Latest version installed: [ Not Installed ]
Size of files: 313 kB
Homepage: http://jon.oberheide.org/pidgin-rhythmbox/
Description: automatically update your pidgin profile with current info from Rhythmbox
License: GPL-2

Searching...
[ Results for search key : portage ]
[ Applications found : 6 ]

* app-portage/kportagetray [ Masked ]
Latest version available: 0.2.4
Latest version installed: [ Not Installed ]
Size of files: 129 kB
Homepage: http://gitorious.org/kportagetray
Description: Graphical application for Portage's daily tasks
License: GPL-3

* app-portage/portage-mod_jabber [ Masked ]
Latest version available: 0.0.5.1
Latest version installed: [ Not Installed ]
Size of files: 8 kB
Homepage: http://usrportage.de/
Description: A notification module for the portage elog-system to notify via the XMPP (Jabber) protocol
License: GPL-2

* app-portage/portage-utils
Latest version available: 0.3.1
Latest version installed: 0.3.1
Size of files: 87 kB
Homepage: http://www.gentoo.org/
Description: small and fast portage helper tools written in C
License: GPL-2

* dev-perl/PortageXS
Latest version available: 0.02.09
Latest version installed: 0.02.09
Size of files: 28 kB
Homepage: http://download.mpsna.de/opensource/PortageXS/
Description: Portage abstraction layer for perl
License: GPL-2

* dev-python/yolk-portage [ Masked ]
Latest version available: 0.1
Latest version installed: [ Not Installed ]
Size of files: 2 kB
Homepage: http://pypi.python.org/pypi/yolk-portage
Description: Gentoo Portage plugin for yolk
License: GPL-2

* sys-apps/portage
Latest version installed: 2.2.0_alpha26
Homepage: http://www.gentoo.org/proj/en/portage/index.xml
Description: Portage is the package management and distribution system for Gentoo
License: GPL-2

Searching... - * ERROR: kde-base/kdepim-l10n-4.4.5 failed (depend phase):
* EAPI=2 is not supported
*
* Call stack:
* ebuild.sh, line 1998: Called source '/var/lib/layman/calculate/kde-base/kdepim-l10n/kdepim-l10n-4.4.5.ebuild'
* kdepim-l10n-4.4.5.ebuild, line 9: Called inherit 'kde4-base'
* ebuild.sh, line 1403: Called qa_source '/usr/portage/eclass/kde4-base.eclass'
* ebuild.sh, line 43: Called source '/usr/portage/eclass/kde4-base.eclass'
* kde4-base.eclass, line 23: Called inherit 'kde4-functions' 'toolchain-funcs' 'fdo-mime' 'gnome2-utils' 'base' 'virtualx' 'versionator' 'eutils'
* ebuild.sh, line 1403: Called qa_source '/usr/portage/eclass/kde4-functions.eclass'
* ebuild.sh, line 43: Called source '/usr/portage/eclass/kde4-functions.eclass'
* kde4-functions.eclass, line 20: Called die
* The specific snippet of code:
* *) die "EAPI=${EAPI} is not supported" ;;
*
* If you need support, post the output of 'emerge --info =kde-base/kdepim-l10n-4.4.5',
* the complete build log and the output of 'emerge -pqv =kde-base/kdepim-l10n-4.4.5'.
* This ebuild is from an overlay: '/var/lib/layman/calculate/'
* S: '/var/calculate/tmp/portage/kde-base/kdepim-l10n-4.4.5/work/kdepim-l10n-4.4.5'

[ Results for search key : kdepim ]
[ Applications found : 10 ]

* kde-base/kdepim-common-libs
Latest version available: 4.6.1
Latest version installed: [ Not Installed ]
Size of files: 43,143 kB
Homepage: http://www.kde.org/
Description: Common libraries for KDE PIM apps
License: GPL-2

* kde-base/kdepim-icons
Latest version installed: 4.4.10
Homepage: http://www.kde.org/
Description: KDE PIM icons
License: GPL-2

* kde-base/kdepim-kresources
Latest version installed: 4.4.10
Homepage: http://www.kde.org/
Description: KDE PIM groupware plugin collection
License: GPL-2

* kde-base/kdepim-l10n
Latest version available: 4.4.5
Latest version installed: 4.4.5
Size of files: Unknown (getFetchMap(): aux_get() error reading kde-base/kdepim-l10n-4.4.5; aborting.)
Homepage: http://www.kde.org/
Description: KDE internationalization package for KDEPIM
License: GPL-2

* kde-base/kdepim-meta
Latest version available: 4.6.1
Latest version installed: [ Not Installed ]
Size of files: 0 kB
Homepage: http://www.kde.org/
Description: kdepim - merge this to pull in all kdepim-derived packages
License: GPL-2

* kde-base/kdepim-runtime
Latest version installed: 4.4.10
Homepage: http://www.kde.org/
Description: KDE PIM runtime plugin collection
License: GPL-2

* kde-base/kdepim-strigi-analyzer
Latest version installed: 4.4.10
Homepage: http://www.kde.org/
Description: kdepim: strigi plugins
License: GPL-2

* kde-base/kdepim-wizards
Latest version available: 4.6.1
Latest version installed: [ Not Installed ]
Size of files: 43,143 kB
Homepage: http://www.kde.org/
Description: KDE PIM wizards
License: GPL-2

* kde-base/kdepimlibs
Latest version installed: 4.6.1
Homepage: http://www.kde.org/
Description: Common library for KDE PIM apps.
License: LGPL-2.1

* kde-base/libkdepim
Latest version installed: 4.4.10
Homepage: http://www.kde.org/
Description: Common library for KDE PIM apps
License: GPL-2

[email protected]alculate ~ $ emerge -p --nodeps rhythmbox

These are the packages that would be merged, in order:

... done!
[ebuild N ] media-sound/rhythmbox-0.12.8-r1 USE="cdr ipod libnotify lirc nsplugin python webkit -daap -debug -doc -gnome-keyring -mtp -musicbrainz -test -udev -upnp"

* IMPORTANT: 5 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.



5. Re: calculate-kde-base/kdepim

deni  simoes pires
deni

(usa Slackware)

Enviado em 19/07/2011 - 09:14h

Cade o albfneto ??????????????


6. Re: calculate-kde-base/kdepim

deni  simoes pires
deni

(usa Slackware)

Enviado em 19/07/2011 - 11:45h

Tentei refazer os procedimentos feitos da outra vez mas paro aqui: emerge -p kdepim gtk+

These are the packages that would be merged, in order:

Calculating dependencies | * ERROR: kde-base/kdepim-l10n-4.4.5 failed (depend phase):
* EAPI=2 is not supported
*
* Call stack:
* ebuild.sh, line 1998: Called source '/var/lib/layman/calculate/kde-base/kdepim-l10n/kdepim-l10n-4.4.5.ebuild'
* kdepim-l10n-4.4.5.ebuild, line 9: Called inherit 'kde4-base'
* ebuild.sh, line 1403: Called qa_source '/usr/portage/eclass/kde4-base.eclass'
* ebuild.sh, line 43: Called source '/usr/portage/eclass/kde4-base.eclass'
* kde4-base.eclass, line 23: Called inherit 'kde4-functions' 'toolchain-funcs' 'fdo-mime' 'gnome2-utils' 'base' 'virtualx' 'versionator' 'eutils'
* ebuild.sh, line 1403: Called qa_source '/usr/portage/eclass/kde4-functions.eclass'
* ebuild.sh, line 43: Called source '/usr/portage/eclass/kde4-functions.eclass'
* kde4-functions.eclass, line 20: Called die
* The specific snippet of code:
* *) die "EAPI=${EAPI} is not supported" ;;
*
* If you need support, post the output of 'emerge --info =kde-base/kdepim-l10n-4.4.5',
* the complete build log and the output of 'emerge -pqv =kde-base/kdepim-l10n-4.4.5'.
* This ebuild is from an overlay: '/var/lib/layman/calculate/'
* S: '/var/calculate/tmp/portage/kde-base/kdepim-l10n-4.4.5/work/kdepim-l10n-4.4.5'
... done!

emerge: there are no ebuilds to satisfy "kdepim".

emerge: searching for similar names...
emerge: Maybe you meant any of these: kde-base/libkdepim, kde-base/kdepimlibs, app-admin/kedpm?

* IMPORTANT: 5 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.



7. Re: calculate-kde-base/kdepim

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 19/07/2011 - 12:04h

olá! aparentemente o pacote pt-BR de tradução do KDEpim, é para kdepim 4..4.5, e o kdepim novo é 4.6.1.... se fizer dowmgrade do kdepim, poderá ter problemas, no kde..., ao invés disso,

podemos tentar o seguinte: "cortar" a necessidade apenas das dependencia kdepim no rythmbox...

tente este comando:


LINGUAS="pt_BR" USE="-kdepim" emerge -p rhythmbox

e vamos ver se ele simula a instalação, se simular sem kdepim, re faça o comando como root e trocando "p" por "-av".

outra coisa (se não simular a instalação corretamente) vai no porthole e chame o rythmbox, mas não instale!
é apenas para usar o porthole, para VER quais as deps da FLAG USE dele... as que foram usadas no Ebuild, a proposta do time de desenv do RB para a compilação.
anote e a seguir feche o porthole.

tá começando perceber como portage funciona, não?




8. Re: calculate-kde-base/kdepim

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 19/07/2011 - 12:43h

mais coisas que pode fazer,atualizar todo o seu KDE, com portage novo, ou instalar o ultimo kdepim-l10n

e ver se ele corrige

http://gpo.zugaina.org/kde-base/kdepim-l10n

para isso:

# emerge --sync
# emerge -av portage
$ LINGUAS="pt_BR" emerge -p =kde-base/kdepim-l10n-4.6.1

(com o sinal de igual, com está)atenção pq pode haver muitas deps!

se ele conseguir simular instale (como root, trocando -p por -av)
isso deverá trocar o kdepim de 4.4.5 para 4.6.1

tem mais usa coisa, rythmbox é para GNOME é não para KDE, sua instalação pode colocar dezenas de deps de GNOME


9. Re: calculate-kde-base/kdepim

deni  simoes pires
deni

(usa Slackware)

Enviado em 19/07/2011 - 14:47h

Não consegui.Aparece sempre erro: Calculating dependencies | * ERROR: kde-base/kdepim-l10n-4.4.5 failed (depend phase):
* EAPI=2 is not supported

[email protected] ~ $ LINGUAS="pt_BR" emerge -p =kde-base/kdepim-l10n-4.6.1

These are the packages that would be merged, in order:

Calculating dependencies | * ERROR: kde-base/kdepim-l10n-4.4.5 failed (depend phase):
* EAPI=2 is not supported
*
* Call stack:
* ebuild.sh, line 1998: Called source '/var/lib/layman/calculate/kde-base/kdepim-l10n/kdepim-l10n-4.4.5.ebuild'
* kdepim-l10n-4.4.5.ebuild, line 9: Called inherit 'kde4-base'
* ebuild.sh, line 1403: Called qa_source '/usr/portage/eclass/kde4-base.eclass'
* ebuild.sh, line 43: Called source '/usr/portage/eclass/kde4-base.eclass'
* kde4-base.eclass, line 23: Called inherit 'kde4-functions' 'toolchain-funcs' 'fdo-mime' 'gnome2-utils' 'base' 'virtualx' 'versionator' 'eutils'
* ebuild.sh, line 1403: Called qa_source '/usr/portage/eclass/kde4-functions.eclass'
* ebuild.sh, line 43: Called source '/usr/portage/eclass/kde4-functions.eclass'
* kde4-functions.eclass, line 20: Called die
* The specific snippet of code:
* *) die "EAPI=${EAPI} is not supported" ;;
*
* If you need support, post the output of 'emerge --info =kde-base/kdepim-l10n-4.4.5',
* the complete build log and the output of 'emerge -pqv =kde-base/kdepim-l10n-4.4.5'.
* This ebuild is from an overlay: '/var/lib/layman/calculate/'
* S: '/var/calculate/tmp/portage/kde-base/kdepim-l10n-4.4.5/work/kdepim-l10n-4.4.5'
... done!

emerge: there are no ebuilds to satisfy "=kde-base/kdepim-l10n-4.6.1".

emerge: searching for similar names...
emerge: Maybe you meant any of these: dev-ruby/osmlib-base, dev-ruby/kirbybase, dev-ruby/snmplib?

* IMPORTANT: 5 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.



10. Re: calculate-kde-base/kdepim

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 19/07/2011 - 14:55h

e tentar instalar o rythmbox, sem dowgrade do kdepim e sem usar kdpim?

tentou, como no post 7:

LINGUAS="pt_BR" USE="-kdepim" emerge -p rhythmbox
sudo LINGUAS="pt_BR" USE="-kdepim" emerge -av rhythmbox

vc instalou algum pacote de KDE que era só para KDE antigo?,
pq é a segunda vez que tem problema com o kdepim.




11. Re: calculate-kde-base/kdepim

deni  simoes pires
deni

(usa Slackware)

Enviado em 19/07/2011 - 22:06h

[email protected] ~ $ sudo LINGUAS="pt_BR" USE="-kdepim" emerge -av rhythmbox
Senha:

* IMPORTANT: 5 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies | * ERROR: kde-base/kdepim-l10n-4.4.5 failed (depend phase):
* EAPI=2 is not supported
*
* Call stack:
* ebuild.sh, line 1998: Called source '/var/lib/layman/calculate/kde-base/kdepim-l10n/kdepim-l10n-4.4.5.ebuild'
* kdepim-l10n-4.4.5.ebuild, line 9: Called inherit 'kde4-base'
* ebuild.sh, line 1403: Called qa_source '/usr/portage/eclass/kde4-base.eclass'
* ebuild.sh, line 43: Called source '/usr/portage/eclass/kde4-base.eclass'
* kde4-base.eclass, line 23: Called inherit 'kde4-functions' 'toolchain-funcs' 'fdo-mime' 'gnome2-utils' 'base' 'virtualx' 'versionator' 'eutils'
* ebuild.sh, line 1403: Called qa_source '/usr/portage/eclass/kde4-functions.eclass'
* ebuild.sh, line 43: Called source '/usr/portage/eclass/kde4-functions.eclass'
* kde4-functions.eclass, line 20: Called die
* The specific snippet of code:
* *) die "EAPI=${EAPI} is not supported" ;;
*
* If you need support, post the output of 'emerge --info =kde-base/kdepim-l10n-4.4.5',
* the complete build log and the output of 'emerge -pqv =kde-base/kdepim-l10n-4.4.5'.
* This ebuild is from an overlay: '/var/lib/layman/calculate/'
* S: '/var/calculate/tmp/portage/kde-base/kdepim-l10n-4.4.5/work/kdepim-l10n-4.4.5'
... done!

!!! All ebuilds that could satisfy "app-text/docbook-xml-dtd:4.1.2" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-text/docbook-xml-dtd-4.1.2-r6::gentoo (masked by: package.mask)

(dependency required by "gnome-extra/gnome-media-2.32.0-r1" [ebuild])
(dependency required by "media-sound/rhythmbox-0.12.8-r1" [ebuild])
(dependency required by "rhythmbox" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


* IMPORTANT: 5 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.
O problema todo penso é que ainda não sei lidar com os pacotes mascarados e ebuilds. !! All ebuilds that could satisfy "app-text/docbook-xml-dtd:4.1.2" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-text/docbook-xml-dtd-4.1.2-r6::gentoo (masked by: package.mask)

(dependency required by "gnome-extra/gnome-media-2.32.0-r1" [ebuild])
(dependency required by "media-sound/rhythmbox-0.12.8-r1" [ebuild])
(dependency required by "rhythmbox" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.




12. Re: calculate-kde-base/kdepim

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 20/07/2011 - 09:06h

tente outro jeito, sem dep. nenhuma, só a dep de gnome:

# autounmask app-text/docbook-xml-dtd-4.1.2-r6
# LINGUAS="pt_BR" emerge -av --nodeps gnome-media docbook-xml-dtd rhythmbox



01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts